Bug 299751 - JJ: Find in files would be kind to remember the "Location(s)"
Summary: JJ: Find in files would be kind to remember the "Location(s)"
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-05-10 15:43 UTC by Mathieu Boillat
Modified: 2013-07-26 17:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Boillat 2012-05-10 15:43:55 UTC
Everytime you quit Kdevelop the last "Location(s)" put in "Find in files" dialog are forgiven.

It would be really nice to remember this field as it was the case in the past (I do not remember when but it was one day).

It should work as "Files" field.

Reproducible: Always
Comment 1 Mathieu Boillat 2012-06-08 08:17:27 UTC
Nobody cares about this little improvement ?
Comment 2 Mathieu Boillat 2013-06-27 15:28:13 UTC
Still not implemented in 4.4.1, does anybody plan to do this little but productive functionnality ?

Thank you for your time
Comment 3 Kevin Funk 2013-06-27 18:20:41 UTC
@Mathieu, feel free to get your hands dirty. Here are some hints how to get started: http://techbase.kde.org/Projects/KDevelop4/HowToCompile

Note: Please keep bugs open by not marking them as "NEEDSINFO".
Comment 4 Vlas Puhov 2013-07-26 17:23:39 UTC
Git commit fe61dcf2259bcd97d2e5649070cb38f11c4ec963 by Vlas Puhov.
Committed on 26/07/2013 at 17:14.
Pushed by vpuhov into branch 'master'.

GrepViewPlugin: Search by default in previous location.

M  +2    -1    plugins/grepview/grepdialog.cpp
M  +3    -23   plugins/grepview/grepviewplugin.cpp

http://commits.kde.org/kdevplatform/fe61dcf2259bcd97d2e5649070cb38f11c4ec963